#include "Keyframe.h"

using namespace std;

Keyframe::Keyframe()
{
  p = glm::vec3(0.0f, 0.0f, 0.0f);
  glm::quat temp(0.0f, 0.0f, 0.0f, 0.0f);
  q = temp;
}

Keyframe::Keyframe(const Keyframe& k)
{
  p = k.p;
  q = k.q;
}

glm::vec3 Keyframe::getPos()
{
  return this->p;
}

void Keyframe::setPos(glm::vec3 np)
{
  this->p = np;
}

glm::quat Keyframe::getQuat()
{
  return this->q;
}

void Keyframe::setQuat(glm::quat nq)
{
  this->q = nq;
}
